## opusdec opusdec |

## Properties

gboolean | apply-gain | Read / Write
gboolean | use-inband-fec | Read / Write
gboolean | phase-inversion | Read / Write

## Types and Values

struct | GstOpusDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstOpusDec

## Description

This element decodes a OPUS stream to raw integer audio.

#### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=opus.ogg ! oggdemux ! opusdec ! audioconvert ! audioresample ! alsasink

Decode an Ogg/Opus file. To create an Ogg/Opus file refer to the documentation of opusenc.

## Synopsis

### Element Information

plugin | opus
author | Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-opus, channel-mapping-family=(int)0
| audio/x-opus, channel-mapping-family=(int)[ 1, 255 ], channels=(int)[ 1, 255 ], stream-count=(int)[ 1, 255 ], coupled-count=(int)[ 0, 255 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 48000, 24000, 16000, 12000, 8000 }, channels=(int)[ 1, 8 ]

## Functions

## Types and Values

### struct GstOpusDec

    struct GstOpusDec;

## Property Details

### The `“apply-gain”` property

      “apply-gain”               gboolean

Apply gain if any is specified in the header.

Flags: Read / Write

Default value: TRUE

### The `“use-inband-fec”` property

      “use-inband-fec”           gboolean

Use forward error correction if available (needs PLC enabled).

Flags: Read / Write

Default value: FALSE

### The `“phase-inversion”` property

      “phase-inversion”          gboolean

Set to true to enable phase inversion, this will slightly improve stereo quality, but will have side effects when downmixed to mono.

Flags: Read / Write

Default value: FALSE

## See Also

opusenc, oggdemux